# SPDX-FileCopyrightText: 2023 Siemens AG
# SPDX-License-Identifier: Apache-2.0

apiVersion: monitoring.coreos.com/v1
kind: ServiceMonitor
metadata:
  name: prometheus-controller-manager
  namespace: default
  labels:
    release: prometheus
spec:
  selector:
    matchLabels:
      app: controller-manager
  namespaceSelector:
    matchNames:
    - he-codeco-swm
  endpoints:
  - port: metrics
    path: /metrics
    honorLabels: true
